export interface UserReference {
  id: number;
  name: string;
}

export interface Item {
  id: number;
  name: string;
  quantity?: number | null;
  is_complete: boolean;
  price?: string | null; // String representation of Decimal
  list_id: number;
  category_id?: number | null;
  created_at: string;
  updated_at: string;
  version: number;
  added_by_id?: number;
  completed_by_id?: number | null;
  added_by_user?: { id: number; name: string };
  completed_by_user?: { id: number; name: string } | null;
}
